package com.rshy.project.hy.server.param;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.rshy.project.hy.model.constant.WebConstant;
import com.rshy.project.hy.model.entity.Identity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @ProjectName: rshy
 * @Package: com.rshy.project.hy.server.param
 * @ClassName: RshyParam
 * @Author: shihongbo
 * @Description:
 * @Date: 2022/3/2 14:48
 * @Version: 1.0
 */
@Data
@Accessors(chain = true)
@ApiModel("普通核验请求参数")
public class RshyParam {
    @ApiModelProperty("身份证号")
    private String sfzh;

    @ApiModelProperty("姓名")
    private String xm;

    @ApiModelProperty("健康码")
    private String barCode;

    @ApiModelProperty("超时时间,单位秒")
    private Integer timeout = WebConstant.TIMEOUT;

    @ApiModelProperty("人脸照片 Base64")
    private String photo;

    @ApiModelProperty("锁屏状态")
    private Integer screenLocked;

    @ApiModelProperty("登录信息")
    private LoginInfo loginInfo;

    @JSONField(serialize = false, deserialize = false)
    @ApiModelProperty(hidden = true)
    @JsonIgnore
    private Identity identity;

    @Override
    public String toString() {
        return "RshyParam{" +
                "sfzh='" + sfzh + '\'' +
                ", xm='" + xm + '\'' +
                ", barCode='" + barCode + '\'' +
                ", timeout=" + timeout +
                ", photo='" + '\'' +
                ", screenLocked=" + screenLocked +
                '}';
    }
}
