package com.rshy.project.hy.server.vo;

import com.rshy.project.hy.model.dto.NucleicAcidDTO;
import com.rshy.project.hy.model.enums.PassStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @ProjectName: rshy
 * @Package: com.rshy.project.hy.server.vo
 * @ClassName: RshyVo
 * @Author: shihongbo
 * @Description:
 * @Date: 2022/3/2 14:53
 * @Version: 1.0
 */
@Data
@Accessors(chain = true)
@ApiModel("返回数据")
public class RshyVo {
    @ApiModelProperty("是否通行")
    private Integer pass = PassStatusEnum.NORMAL_TRAFFIC.getCode();

    @ApiModelProperty("人员类型简要概述")
    private String kind;

    @ApiModelProperty("警示信息")
    private String warning;

    @ApiModelProperty("主屏显示信息")
    private String displayMsg = "核验通过";

    @ApiModelProperty("语音播报文字")
    private String tts = "核验通过";

    @ApiModelProperty("健康码")
    private String healthCode;

    @ApiModelProperty("身份证号")
    private String sfzh;

    //@ApiModelProperty("证件类型")
    //private String zjlx = "居民身份证";

    @ApiModelProperty("姓名")
    private String xm;

    @ApiModelProperty("性别")
    private String xb;

    @ApiModelProperty("出生日期")
    private String birthday;

    @ApiModelProperty("民族")
    private String mz;

    @ApiModelProperty("手机号码")
    private String phone;

    @ApiModelProperty("住址")
    private String address;

    @ApiModelProperty("照片")
    private String photo;

    @ApiModelProperty("次数")
    private Integer times = 1;

    @ApiModelProperty("疫苗，多少针")
    private Integer vaccine;

    @ApiModelProperty("核酸报告")
    private NucleicAcidDTO nucleic_acid;

    @ApiModelProperty("0 未到过中高风险地区，1 到过中高风险地区")
    private Integer travel_card;

    // 设置通行状态
    public RshyVo setPassStatus(PassStatusEnum passStatus) {
        return this.setPass(passStatus.getCode()).setDisplayMsg(passStatus.getTts()).setTts(passStatus.getTts());
    }

    public void copySomeValues(RshyVo rshyVo) {
        this.setPass(rshyVo.getPass()).setTts(rshyVo.getTts()).setDisplayMsg(rshyVo.getDisplayMsg()).setKind(rshyVo.getKind()).setWarning(rshyVo.getWarning());
    }
}
